- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# bcopy.c File Reference

`#include <ubixos/types.h>`
`#include <strings.h>`
`#include <string.h>`

Include dependency graph for bcopy.c:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | TLOOP(s) if (t) TLOOP1(s)
#define | TLOOP1(s) do { s; } while (--t)
#define | wmask (wsize - 1)
#define | wsize sizeof(word)
## Typedefs
typedef u_int32_t | uintptr_t
typedef int | word
## Functions
void | bcopy (const void *src0, void *dst0, size_t length)

## Define Documentation

#define TLOOP | ( | s |  | ) | if (t) TLOOP1(s)

Referenced by bcopy().

#define TLOOP1 | ( | s |  | ) | do { s; } while (--t)

Referenced by bcopy().

#define wmask (wsize - 1)

Definition at line 49 of file bcopy.c.

Referenced by bcopy(), and memset().

#define wsize sizeof(word)

Definition at line 48 of file bcopy.c.

Referenced by bcopy(), and memset().

## Typedef Documentation

typedef u_int32_t uintptr_t

Definition at line 46 of file bcopy.c.

typedef int word

Definition at line 45 of file bcopy.c.

## Function Documentation

void bcopy | ( | const void * | src0,
|  | void * | dst0,
|  | size_t | length |
| ) |  |  |

Definition at line 70 of file bcopy.c.

References done, TLOOP, TLOOP1, wmask, and wsize.